/**
 * 1.参数一：指令的名称，定义时指令前面不需要写v-
 * 2.参数二：是一个对象，该对象中有相关的操作函数
 * 3.在调用的时候必须写v-
 */

export default {
    //1.指令绑定到元素上回立刻执行bind函数，只执行一次
    //2.每个函数中第一个参数永远是el，表示绑定指令的元素，el参数是原生js对象
    //3.通过el.focus()是无法获取焦点的，因为只有插入DOM后才生效
    //inserted表示一个元素，插入到DOM中会执行inserted函数，只触发一次
    inserted: function (el) {
        el.onmousedown = function (e) {
            const disX = e.pageX - el.offsetLeft;
            const disY = e.pageY - el.offsetTop;
            document.onmousemove = function (e) {
                el.style.left = e.pageX - disX + 'px';
                el.style.top = e.pageY - disY + 'px';
            }
            document.onmouseup = function () {
                document.onmousemove = document.onmouseup = null;
            }
        }
    },
};
